
let codigoDocente = ''
let codPer = ''


$(document).ready(function () {
  
	const urlParams = new URLSearchParams(window.location.search);
	const myDni = urlParams.get('dni');

	let json = {
		dniDocente: myDni}
	
	$.ajax({
		url: '../ServletHorario?Accion=verHorarioDocenteDni',
		type: 'POST',
		dataType: "json",
		data: {
			json: JSON.stringify(json)
		},
		success: function (response, textStatus, jqXHR) {
			//console.log(response);
			codigoDocente = response.codigoDocente
			let array = response.data;
			let options = "<option selected>[SELECCIONAR PERIODO]</option>";
			array.forEach(function (value, index) {
				options += `<option value="${value.codigoPeriodo}">${value.nombrePeriodo}</option>`
			});
			$("#cboPeriodo").html(options);

		}
	   }),
	
		// ahora vemos el detalle de horario del profesor de acuerdo al codigo docente
		$('#cboPeriodo').on('change', function (event) {
		codPer = $("#cboPeriodo option:selected").val();
		$.ajax({
			url: '../ServletHorario?Accion=verHorarioDocentePeriodo',
			type: 'POST',
			dataType: "json",
			data: {
				codigoPeriodo: codPer,
				codigoProfesor: codigoDocente
			},
			success: function (response, textStatus, jqXHR) {
				$("#tabla").show();
				$("#btnVerHorario").hide();
				$('.alert').hide()
				
				console.log(response.data);
				let array = response.data;
				let diaM = [];
				let diaT = [];
				let aulaM = [];
				let aulaT = [];
				let arrayAulas = response.data[0].arrayAulas;
				array.forEach(function (value, index) {

					if (value.disponibilidad != undefined) {

						let nombre = value.nombre;
						let correo = value.correo;
						let celular = value.celular;
						let direccion = value.direccion;
						let distrito = value.distrito;
						$("#docente").text(nombre);
						$("#correo").text(correo);
						$("#celular").text(celular);
						$("#direccion").text(direccion);
						$("#distrito").text(distrito);
						let disponibilidad = value.disponibilidad.split("-");
						disponibilidad.forEach(function (value, index) {
                                                    
                                                    // disponibilidad
							let turno = value.split("#")[0];
							let dia = value.split("#")[1];
							if (turno == "1") {
								diaM.push(dia);
							} else if (turno == "2") {
								diaT.push(dia);
							}

						});
                                                
						if (arrayAulas === 0) {
							console.log("aulas vacio");
                                                        
						} else {
							arrayAulas.forEach(function (obj, index) {
								let turnoAula = obj.turno;

								if (obj.turno == "1") {
									aulaM.push(obj);
								} else if (obj.turno == "2") {
									aulaT.push(obj);
								}
							});

						}
                                                
						let HTMLDOM = "<td style='background-color:#D9D9D9;'>MAÑANA</td>";										
						//PINTADO MAÑANA 
						for (let i = 0; i < 6; i++) {
							let horaM = "";
							aulaM.forEach(function (obj, index) {
								if (obj.dia == i + 1) {
									horaM += `${obj.sede} | ${obj.aulas}<br></br>`;
								}	
							});
                                                        
						  HTMLDOM += `<td class='celdas' style='border-color:black;font-weight: bold;'>${horaM}</td>`;	
						}
                                                
						$("#trM").html(HTMLDOM);
                                                
						HTMLDOM = "<td style='background-color:#D9D9D9;border-color:black'>TARDE</td>";

						//PINTADO TARDE
						for (let i = 0; i < 6; i++) {
							let horaT = "";
							aulaT.forEach(function (obj, index) {

                                                            if (obj.dia == i + 1) {
                                                                    horaT += `${obj.sede} | ${obj.aulas}<br></br>`;
                                                            }								
							});
                                                        
							HTMLDOM += `<td style='border-color:black;font-weight: bold;'>${horaT}</td>`;
						}
                                                
						$("#trT").html(HTMLDOM);
                                                
					} else {
                                             $("#tabla").hide();
                                             $('.alert').show();

					}

				});
			}

		});
		//AQUII

	});



});

